import request from '@/utils/request'

// 查询泉医到家平台系统业务设置信息列表
export function listSettings(query) {
    return request({
        url: '/system/settings/list',
        method: 'get',
        params: query
    })
}

// 查询泉医到家平台系统业务设置信息详细
export function getSettings(id) {
    return request({
        url: '/system/settings/' + id,
        method: 'get'
    })
}

// 新增泉医到家平台系统业务设置信息
export function addSettings(data) {
    return request({
        url: '/system/settings/add',
        method: 'post',
        data: data
    })
}

// 修改泉医到家平台系统业务设置信息
export function updateSettings(data) {
    return request({
        url: '/system/settings/edit',
        method: 'post',
        data: data
    })
}

// 删除泉医到家平台系统业务设置信息
export function delSettings(id) {
    return request({
        url: '/system/settings/' + id,
        method: 'delete'
    })
}
